<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" indent="yes" omit-xml-declaration="yes" media-type="text/html"/>

<xsl:variable name="id" select="/personal/@id" />
<xsl:variable name="lname" select="/personal/@name" />
<xsl:variable name="semester" select="/personal/@semester" />
<xsl:variable name="semester_id" select="/personal/@semester_id" />

<xsl:template match="/">
<html>
	<xsl:copy-of select="document('header.xml')/head" />
<body>
	<a name="top"></a>
	<div id="content" class="documentContent">
		<div id='skipDiv'>
			<ul>
				<li><a class='skiplink' href='#struktur'>zur Veranstaltungshierarchie</a></li>
				<li><a class='skiplink' href='#courses'>zu Veranstaltungen der aktuellen Veranstaltungshierarchie</a></li>
			</ul>
		</div>
		<div id="headerDiv">
			<div id="logoDiv">
				<a href="root.xml" title=""><img src="layout/logo.gif" height="73px" width="150px" alt="" /></a>
			</div>
			<div id="langDiv">
				<a href="javascript:print()" title="diese Seite drucken"><img src="layout/print.gif" alt="diese Seite drucken" /></a>			
			</div>
		</div>		
  		<div id="portal-breadcrumbs">
  			<span id="breadcrumbs-you-are-here">Sie sind hier:</span>&#160;<a href="root.xml">Vorlesungsverzeichnis</a>&#160;&#8594;&#160;<a href="{$id}.xml"><xsl:value-of select="$lname" /></a>&#160;&#8594;&#160;Lehrpersonal
		</div>		
		<h1>Lehrpersonal <xsl:value-of select="$semester" /></h1>
		<br />
		<br />
		<br />
		<div id="evvContent">
			<div style="color:red;">Dies ist die statische Version des Vorlesungsverzeichnisses, bei dem die gewohnten Sortierungs- und Filterfunktionen nicht vorhanden sind.</div>
			<br />
			<h2><xsl:value-of select="$lname" /></h2>
			<div id="zurueckDiv"><a href="{$id}.xml">zur&#252;ck</a></div>	
			<h2>Lehrpersonal</h2>
			<div id='personalContent' style='border:1px solid #ffffff;width:900px'>
				<div style='margin-top:0.5em;'>
					<!-- a href='#kat_A'>A</a>&#160;&#160;|&#160;&#160;<a href='#kat_B'>B</a>&#160;&#160;|&#160;&#160;<a href='#kat_C'>C</a>&#160;&#160;|&#160;&#160;<a href='#kat_D'>D</a>&#160;&#160;|&#160;&#160;<a href='#kat_E'>E</a>&#160;&#160;|&#160;&#160;<a href='#kat_F'>F</a>&#160;&#160;|&#160;&#160;<a href='#kat_G'>G</a>&#160;&#160;|&#160;&#160;<a href='#kat_H'>H</a>&#160;&#160;|&#160;&#160;<a href='#kat_I'>I</a>&#160;&#160;|&#160;&#160;<a href='#kat_J'>J</a>&#160;&#160;|&#160;&#160;<a href='#kat_K'>K</a>&#160;&#160;|&#160;&#160;<a href='#kat_L'>L</a>&#160;&#160;|&#160;&#160;<a href='#kat_M'>M</a>&#160;&#160;|&#160;&#160;<a href='#kat_N'>N</a>&#160;&#160;|&#160;&#160;<a href='#kat_O'>O</a>&#160;&#160;|&#160;&#160;<a href='#kat_P'>P</a>&#160;&#160;|&#160;&#160;<a href='#kat_Q'>Q</a>&#160;&#160;|&#160;&#160;<a href='#kat_R'>R</a>&#160;&#160;|&#160;&#160;<a href='#kat_S'>S</a>&#160;&#160;|&#160;&#160;<a href='#kat_T'>T</a>&#160;&#160;|&#160;&#160;<a href='#kat_U'>U</a>&#160;&#160;|&#160;&#160;<a href='#kat_V'>V</a>&#160;&#160;|&#160;&#160;<a href='#kat_W'>W</a>&#160;&#160;|&#160;&#160;<a href='#kat_Z'>Z</a -->
					<table style='margin-top:10px;border-spacing:0' border='0'>
						<tr style='background-color:#336699'>
							<th style='width:180px;padding:4px 0 4px 10px'><span style='color:#ffffff'>Name</span></th>
							<th style='width:140px;padding:4px 0 4px 10px'><span style='color:#ffffff'>Titel</span></th>
							<th style='width:400px;padding:4px 0 4px 10px'><span style='color:#ffffff'>Einrichtung</span></th>
							<th style='width:150px;padding:4px 0 4px 10px'><span style='color:#ffffff'>Funktion</span></th>
						</tr>
					
						<xsl:apply-templates select="/personal/entry">
							<xsl:sort select="nachname" lang="de"/>
							<xsl:sort select="vorname" lang="de"/>
						</xsl:apply-templates>					
						
					</table>
				</div>
			</div><!-- personalContent -->
		</div><!-- evvContent -->
	</div><!-- content -->
	<xsl:copy-of select="document('footer.xml')/div" />
</body>
</html>
</xsl:template>
	
	
<xsl:template match="entry">
	<xsl:variable name="person_file" select="string(concat('../', user_id, '.xml'))"/>
	<!-- xsl:variable name="person"><xsl:copy-of select="document($person_file)/person/node()"/></xsl:variable -->

	<tr>
		<xsl:attribute name="class">
			<xsl:choose>
				<xsl:when test="position() mod 2 = 0">lectureItem1</xsl:when>
				<xsl:otherwise>lectureItem0</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>

		<xsl:choose>
			<xsl:when test="document($person_file)">
				<td style='height:2.2em;padding:6px 2px 6px 16px'>
					<a onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=500,height=500'); return false;">
						<xsl:attribute name="href"><xsl:value-of select="concat(user_id, '.xml')"/></xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="concat('Kontaktdaten von ', document($person_file)/person/vorname, document($person_file)/person/nachname)"/></xsl:attribute>
						<b><xsl:value-of select="document($person_file)/person/nachname"/></b>, <xsl:value-of select="document($person_file)/person/vorname"/>
					</a>
				</td>
				<td style='height:2.2em;padding:6px 0 0 4px'>
					<abbr>
						<xsl:attribute name="title"><xsl:value-of select="document($person_file)/person/evv_titel"/></xsl:attribute>
						<xsl:value-of select="document($person_file)/person/evv_titel_kuerzel"/>
					</abbr>
				</td>
				<td style='height:2em;padding:6px 0 6px 4px'>
					<xsl:for-each select="document($person_file)/person/institute/entry">
						<abbr>
							<xsl:attribute name="title"><xsl:value-of select="Institut_pfad"/></xsl:attribute>
							<xsl:value-of select="Institut_name"/>
						</abbr><br/>
					</xsl:for-each>
				</td>
				<td style='height:2em;padding:6px 0 0 4px'>
					<abbr>
						<xsl:attribute name="title"><xsl:value-of select="document($person_file)/person/evv_status"/></xsl:attribute>
						<xsl:value-of select="document($person_file)/person/evv_status_kuerzel"/>
					</abbr>
				</td>
			</xsl:when>
			
			<xsl:otherwise>
				<!--
				<td style='height:2.2em;padding:6px 2px 6px 16px'>
					<!- - a onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=500,height=500'); return false;">
						<xsl:attribute name="href"><xsl:value-of select="string(concat(username, '.xml'))"/></xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="string(concat('Kontaktdaten von ', vorname, nachname))"/></xsl:attribute - ->
						<b><xsl:value-of select="nachname"/></b>, <xsl:value-of select="vorname"/>
					<!- - /a - ->
				</td>
				<td style='height:2.2em;padding:6px 0 0 4px'/>
				<td style='height:2em;padding:6px 0 6px 4px'>
					<!- - abbr>
						<xsl:attribute name="title"><xsl:value-of select="$lname"/></xsl:attribute>
						<xsl:value-of select="$lname"/>
					</abbr - ->
				</td>
				<td style='height:2em;padding:6px 0 0 4px'/>
				-->
			</xsl:otherwise>
		</xsl:choose>
	</tr>
	
</xsl:template>

</xsl:stylesheet>

